<section class="story-maps">
  <div class="container py-5">
    <div class="d-md-flex">
      <div class="col">
        <h1 class="py-2">
          Story Maps
        </h1>
        <div class="py-2">
          Pemanfaatan Dataset Geospasial yang disajikan dalam bentuk gabungan teks cerita, peta interaksi, dan konten
          multimedia lain.
        </div>
      </div>
      <div class="navigation d-none d-md-flex align-items-end ms-auto justify-content-end">
        <div class="navigation-prev me-3"
             role="button">
          <fa-icon style="font-size:0.8em"
                   [icon]="icons.faArrowLeft"></fa-icon>
        </div>
        <div class="navigation-next"
             role="button">
          <fa-icon style="font-size:0.8em"
                   [icon]="icons.faArrowRight"></fa-icon>
        </div>
      </div>
    </div>
    <app-error-request *ngIf="(error$ | async) && !(loading$ | async)"
                       [errorMessages]="(error$ | async)"
                       (reloadTrigger)="getMapsetStory()"></app-error-request>
    <div class="row mt-3"
         *ngIf="(loading$ | async)">
      <div class="col-md-6 col-lg-4 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                        height: '150px'
                      }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-4 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                        height: '150px'
                      }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-4 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                        height: '150px'
                      }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
    </div>
    <div class="row mt-3"
         *ngIf="!(error$ | async) && !(loading$ | async)">
      <swiper [slidesPerView]="3"
              [spaceBetween]="30"
              [pagination]="{
                el: '.highlight-pagination',
                clickable: true
              }"
              [navigation]="{
                nextEl: '.navigation-next',
                prevEl: '.navigation-prev'
              }"
              [breakpoints]="{
                '@0.00': {
                  slidesPerView: 1,
                  spaceBetween: 10
                },
                '@0.75': {
                  slidesPerView: 2,
                  spaceBetween: 20
                },
                '@1.00': {
                  slidesPerView: 3,
                  spaceBetween: 40
                },
                '@1.50': {
                  slidesPerView: 4,
                  spaceBetween: 50
                }
              }"
              class="swiper">
        <ng-template swiperSlide
                     *ngFor="let mapsetStory of mapsetStories; let i = index;">
          <div class="my-2">
            <div class="card h-100 p-1 border-0">
              <div class="card-body">
                <img [src]="apiData + mapsetStory.image"
                     style="width: 100%;" />
                <div class="title mb-2 mt-4">{{mapsetStory.name}}</div>
                <div class="sub">
                  {{mapsetStory.description}}
                  <div class="mt-2">
                    <a [href]="mapsetStory.url"
                       target="_blank">Baca selengkapnya
                      <fa-icon class="ms-3"
                               style="font-size:0.8em"
                               [icon]="icons.faChevronRight"></fa-icon>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </ng-template>

      </swiper>

      <div class="d-block d-sm-none text-center mt-3">
        <div class="highlight-pagination"></div>
      </div>

    </div>
  </div>

</section>